=== debian/changelog ===
slib (3b6-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:04:20 +0000

slib (3b6-3) unstable; urgency=low

  * debian/tests: exclude mit-scheme and chezscheme tests on platforms
    which these packages do not support.

 -- Nick Gasson <nick@nickg.me.uk>  Sun, 14 Feb 2021 20:18:54 +0800

slib (3b6-2) unstable; urgency=low

  * Pre-built slibcat catalog files for MIT Scheme, Chez, and Gambit are now
    installed under /var/lib/slib and (implementation-vicinity) is updated
    to point to this directory in the corresponding .init files. This avoids
    the need to run (require 'new-catalog) as root. (Closes: #641370)
  * (library-vicinity) now falls back to the Debian installation directory
    /usr/share/slib instead of upstream's hard-coded /usr/local/lib/slib.
    (Closes: #970310)
  * debian/patches
    - Fix warning when loading guile.init with guile-3.0.
    - Make sure PACKAGE_TARNAME in configure script does not depend on
      current working directory. Otherwise the build is not reproducible.
    - Do not set the LD_LIBRARY_PATH environment variable when starting
      Gambit through the slib wrapper script.
  * debian/tests: add autopkg tests for scm, mit-scheme, guile-2.2,
    guile-3.0, gambit, and chezscheme.
  * debian/postinst: remove obsolete commands to generate catalog for
    guile-1.6.
  * debian/watch: use https URL.

 -- Nick Gasson <nick@nickg.me.uk>  Sun, 10 Jan 2021 17:42:35 +0800

slib (3b6-1) unstable; urgency=low

  * New maintainer. (Closes: #721062)
  * New upstream release.
    - Fix compatibility with Guile. (Closes: #758850)
    - Fix compatibility with MIT Scheme. (Closes: #641369)
  * debian/control
    - Update to debhelper version 13.
    - Add dependency on sensible-utils.
    - Add link to VCS on Salsa.
    - Update standards version to 4.5.0.
    - Remove ancient Conflicts.
  * debian/compat: Remove.
  * debian/patches
    - Use gbp pq to manage patches.
    - Add patch to use sensible-browser in (browse-url).
    - Rebase on 3b6.
    - 712322_fix_doc_build.patch: was backported from upstream, no
      longer necessary.
    - do-not-regenerate-version-txi.patch: upstream behaviour changed,
      no longer necessary.
  * debian/rules
    - Upstream now uses a configure script.
    - Install missing non-Scheme files. (Closes: #652340)
    - Avoid rebuilding clrnamdb.scm which is included in upstream tarball.
  * debian/copyright
    - Convert to machine readable format.
    - Add missing copyright information for documentation.

 -- Nick Gasson <nick@nickg.me.uk>  Sat, 29 Aug 2020 14:15:08 +0800

slib (3b1-5) unstable; urgency=medium

  * QA upload.
  * Drop obsolete prerm.
  * Drop obsolete preinst.
  * Switch to minimal dh debian/rules.
  * Tidy up debian/patches a little bit.
  * Add a debian/clean file so that package builds twice in a row.
  * Do not regenerate version.txi just because Makefile was modified.
  * Try to be reproducible by setting PERL_HASH_SEED and using
    an init file for texi2html (inspired by texi2html test suite).

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Sep 2015 21:07:24 +0200

slib (3b1-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group (#721062)
  * Backport changes from upstream to fix build with texinfo 5.
    Closes: #712322
  * Use local version of schmooz.scm to make sure this fix is actually
    used.

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 17:46:53 +0100
