=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Gasson <nick@nickg.me.uk>
Build-Depends: debhelper-compat (= 13), scm, texi2html, texinfo, mit-scheme,
 chezscheme, gambc
Standards-Version: 4.5.0
Homepage: http://people.csail.mit.edu/jaffer/SLIB.html
Vcs-Browser: https://salsa.debian.org/nickg/slib
Vcs-Git: https://salsa.debian.org/nickg/slib.git

Package: slib
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, sensible-utils
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.
