=== debian/tests/control ===
Test-Command: ./debian/tests/scm
Depends: @, scm
Architecture: amd64, i386, armhf, arm64, ppc64el

Test-Command: ./debian/tests/guile-2.2
Depends: @, guile-2.2

Test-Command: ./debian/tests/guile-3.0
Depends: @, guile-3.0

Test-Command: ./debian/tests/mit
Depends: @, mit-scheme
Architecture: amd64, i386

Test-Command: ./debian/tests/chez
Depends: @, chezscheme
Architecture: amd64, i386, armhf

Test-Command: ./debian/tests/gambit
Depends: @, gambc
