=== debian/watch ===
version=3
https://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip
