## slib 3c1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 SCHEME = scm
 CHPAT = $(HOME)/bin/chpat
 MAKEDEV = $(MAKE) -f $(HOME)/makefile.dev
-TEXI2HTML = /usr/local/bin/texi2html -split -verbose
 TEXI2PDF = texi2pdf
 RSYNC = rsync -av
 Uploadee = csail
@@ -35,7 +34,7 @@
 	@echo "\"slib.texi\") to learn how to install and use SLIB."
 	@echo
 
-VERSION = 3b6
+VERSION = 3c1
 RELEASE = 1
 
 # ./configure --distdir=${HOME}/dist/ --snapdir=${HOME}/pub/ --htmldir=${HOME}/public_html/ --pdfdir=${HOME}/public_html/
@@ -155,21 +154,10 @@
 install-pdf: slib.pdf installdirs
 	$(INSTALL_DATA) $< $(DESTDIR)$(pdfdir)
 
-# slib_toc.html: slib.texi version.txi $(txifiles) $(texifiles)
-# 	$(TEXI2HTML) $<
-# html:	slib_toc.html
-# $(DESTDIR)$(htmldir)slib_toc.html: slib_toc.html Makefile installdirs
-# 	-rm -f slib_stoc.html
-# 	if [ -f $(prevdocsdir)slib_toc.html ]; \
-# 	  then hitch $(prevdocsdir)slib_\*.html slib_\*.html \
-# 		$(DESTDIR)$(htmldir); \
-# 	  else $(INSTALL_DATA) slib_*.html $(DESTDIR)$(htmldir);fi
-# install-html: $(DESTDIR)$(htmldir)slib_toc.html
-
 html/slib: slib.texi version.txi $(txifiles) $(texifiles)
 	mkdir -p html
 	rm -rf html/slib
-	makeinfo --html $< -o html/slib
+	makeinfo --html $< -o html/slib --split=section --no-node-files
 	if type icoize>/dev/null; then icoize ../Logo/SCM.ico html/slib/*.html; fi
 html:	html/slib
 $(DESTDIR)$(htmldir)slib: html/slib
@@ -207,8 +195,9 @@
 	-$(INSTALL_DATA) $< $(DESTDIR)$(mandir)man1/
 
 docs:	$(DESTDIR)$(infodir)slib.info.gz \
-	$(DESTDIR)$(htmldir)slib_toc.html slib.dvi \
 	$(DESTDIR)$(pdfdir)slib.pdf \
+	$(DESTDIR)$(htmldir)slib \
+	slib.dvi \
 	slib.doc
 
 MKNMDB = (require 'color-database) (make-slib-color-name-db) (slib:exit)
@@ -296,3 +285,15 @@
 	cat $<					    >> slib-script
 	$(INSTALL_PROGRAM) slib-script $(DESTDIR)$(bindir)slib
 	rm slib-script
+
+install: install-script install-lib install-infoz install-man
+
+uninstall: uninstall48
+	$(PRE_UNINSTALL)     # Pre-uninstall commands follow.
+	-$(INSTALL_INFO) --delete $(DESTDIR)$(infodir)slib.info \
+	  $(DESTDIR)$(infodir)dir
+	$(NORMAL_UNINSTALL)  # Normal commands follow.
+	-rm $(DESTDIR)$(infodir)slib.info*
+	-rm $(DESTDIR)$(mandir)man1/slib.1
+	-rm $(DESTDIR)$(bindir)slib
+	cd $(DESTDIR)$(libslibdir); rm $(libfiles)
