=== debian/changelog ===
slib (3c1-2) unstable; urgency=medium

  * debian/control (Build-Depends): Remove scm.
  * debian/clean: Don't remove generated .txi files.
  * debian/rules (override_dh_auto_build): Tweak the timestamp of
    slib.texi.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 16 Jan 2025 10:48:02 +0900

slib (3c1-1) unstable; urgency=medium

  [ NIIBE Yutaka ]
  * New upstream (Closes: #1068593).
  * debian/control (Maintainer): Team maintained.
    (Uploaders): Add developers from scm/debian/control and me.
    (Build-Depends): mit-scheme is only available on amd64.
    (Vcs-Browser, Vcs-Git): Move to scheme-team.
  * debian/rules: Conditionalize for mitscheme.

  [ Jens Thiele ]
  * Remove autopkgtest using mit-scheme on i386 (Closes: #1089576).

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Update lintian override info format in d/slib.lintian-overrides on line 5.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (Closes: #1013856):
    + slib: Drop versioned constraint on dpkg and install-info in Depends.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 16 Jan 2025 08:56:49 +0900
