=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Debian Scheme Dream Team <debian-scheme@lists.debian.org>
Uploaders: Nick Gasson <nick@nickg.me.uk>,
	   Bryan Newbold <bnewbold@robocracy.org>,
	   Barak A. Pearlmutter <bap@debian.org>,
	   Gwen Weinholt <weinholt@debian.org>,
	   NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper-compat (= 13), texi2html, texinfo, mit-scheme [amd64],
 chezscheme, gambc
Standards-Version: 4.6.2
Homepage: https://people.csail.mit.edu/jaffer/SLIB.html
Vcs-Browser: https://salsa.debian.org/scheme-team/slib
Vcs-Git: https://salsa.debian.org/scheme-team/slib.git

Package: slib
Architecture: all
Depends: ${misc:Depends}, sensible-utils
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.
