=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Test-Command: ./debian/tests/mit
 Depends: @, mit-scheme
-Architecture: amd64, i386
+Architecture: amd64
 
 Test-Command: ./debian/tests/chez
 Depends: @, chezscheme
