=== debian/watch ===
version=4
https://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip
